Bug 2268648 - Removal of xevent filter API in mutter 46-rc1 breaks layout switching in gnome-kiosk (and hence anaconda)
Summary: Removal of xevent filter API in mutter 46-rc1 breaks layout switching in gnom...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 40
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker openqa
Depends On:
Blocks: F40FinalBlocker 2267754
TreeView+ depends on / blocked
 
Reported: 2024-03-09 01:16 UTC by Adam Williamson
Modified: 2024-03-20 19:56 UTC (History)
9 users (show)

Fixed In Version: mutter-46.0-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-20 19:56:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2024-03-09 01:16:22 UTC
As discussed at https://gitlab.gnome.org/GNOME/gnome-kiosk/-/merge_requests/38 , mutter dropped the xevent filter API in 46-rc1:

https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/3599

this unfortunately breaks keyboard layout switching in gnome-kiosk, because it relies on this API. That means it's broken in anaconda (in dedicated installer images), which is a release blocker per https://fedoraproject.org/wiki/Fedora_40_Final_Release_Criteria#Keyboard_layout_configuration (only I really need to update that criterion to list the installer, it's an oversight not intentional, we have always read it as including the installer). So, filing a blocker bug.

Comment 1 Adam Williamson 2024-03-09 01:17:05 UTC
Not proposing as a Beta FE because 46-rc is blocked by the Beta freeze, but note we should not accept https://bugzilla.redhat.com/show_bug.cgi?id=2267754 without fixing this.

Comment 2 Adam Williamson 2024-03-11 16:09:02 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/1506 , marking accepted (this is on the basis we can't really ship GNOME 46 Beta in F40 final, so we clearly need to fix this).

Comment 3 Fedora Update System 2024-03-17 21:49:43 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1ed0b13d87

Comment 4 Fedora Update System 2024-03-20 19:56:14 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.